import { formatDigit } from "@/utils";
import { TURNTABLE_AWARD_TYPE } from "@/enums/TURNTABLE_TYPE_ENUM";


export const prizeValue = (item: any) => {
  switch (item.awardType) {
    case TURNTABLE_AWARD_TYPE.FIRST_TASK_COINS:
      return ""
    case TURNTABLE_AWARD_TYPE.COINS:
      return formatDigit(item.propsList[0].num / 10000);
    case TURNTABLE_AWARD_TYPE.WITHDRAW:
      return "SACAR";
    case TURNTABLE_AWARD_TYPE.TASK_COINS:
      return "";
    case TURNTABLE_AWARD_TYPE.NO_AWARD:
      return "";
    case TURNTABLE_AWARD_TYPE.DIAMOND:
      return "?";
  }
};


export const noticeValue = (item: any) => {
  switch (item.awardType) {
    case TURNTABLE_AWARD_TYPE.FIRST_TASK_COINS:
      return formatDigit(item.propsList[0].num / 10000);
    case TURNTABLE_AWARD_TYPE.COINS:
      return formatDigit(item.propsList[0].num / 10000);
    case TURNTABLE_AWARD_TYPE.WITHDRAW:
      return "SACAR";
    case TURNTABLE_AWARD_TYPE.TASK_COINS:
      return "";
    case TURNTABLE_AWARD_TYPE.NO_AWARD:
      return "";
    case TURNTABLE_AWARD_TYPE.DIAMOND:
      return "?";
  }
};